Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528253 - SELinux is preventing /usr/sbin/grpconv access to a leaked /dev/console file descriptor.
Summary: SELinux is preventing /usr/sbin/grpconv access to a leaked /dev/console file ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9c5f1f4025e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-10 04:40 UTC by Bob Tyler
Modified: 2009-10-20 21:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 21:00:23 UTC
Type: ---


Attachments (Terms of Use)

Description Bob Tyler 2009-10-10 04:40:16 UTC
Summary:

SELinux is preventing /usr/sbin/grpconv access to a leaked /dev/console file
descriptor.

Detailed Description:

[pwconv has a permissive type (sysadm_passwd_t). This access was not denied.]

SELinux denied access requested by the grpconv command. It looks like this is
either a leaked descriptor or grpconv output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /dev/console. You should generate a bugzilla on selinux-policy, and it will
get routed to the appropriate package. You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                system_u:system_r:sysadm_passwd_t:s0
Target Context                system_u:object_r:console_device_t:s0
Target Objects                /dev/console [ chr_file ]
Source                        pwconv
Source Path                   /usr/sbin/pwconv
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           shadow-utils-4.1.4.2-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-12.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.1-56.fc12.x86_64 #1 SMP Tue
                              Sep 29 16:16:22 EDT 2009 x86_64 x86_64
Alert Count                   6
First Seen                    Sun 04 Oct 2009 06:56:55 PM EDT
Last Seen                     Sun 04 Oct 2009 06:56:55 PM EDT
Local ID                      5b275b6e-d061-4790-b434-328449bfef12
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1254697015.724:11): avc:  denied  { read } for  pid=1445 comm="grpconv" path="/dev/console" dev=tmpfs ino=2165 scontext=system_u:system_r:sysadm_passwd_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file

node=(removed) type=AVC msg=audit(1254697015.724:11): avc:  denied  { read } for  pid=1445 comm="grpconv" path="/dev/console" dev=tmpfs ino=2165 scontext=system_u:system_r:sysadm_passwd_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file

node=(removed) type=AVC msg=audit(1254697015.724:11): avc:  denied  { read } for  pid=1445 comm="grpconv" path="/dev/console" dev=tmpfs ino=2165 scontext=system_u:system_r:sysadm_passwd_t:s0 tcontext=system_u:object_r:console_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1254697015.724:11): arch=c000003e syscall=59 success=yes exit=0 a0=2551c90 a1=2551cd0 a2=2550da0 a3=7ffffccaee60 items=0 ppid=1435 pid=1445 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="grpconv" exe="/usr/sbin/grpconv" subj=system_u:system_r:sysadm_passwd_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-12.fc12,leaks,pwconv,sysadm_passwd_t,console_device_t,chr_file,read
audit2allow suggests:

#============= sysadm_passwd_t ==============
allow sysadm_passwd_t console_device_t:chr_file read;

Comment 1 Daniel Walsh 2009-10-20 21:00:23 UTC
Fixed in selinux-policy-3.6.32-29.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.